/* Reset default margin and padding */
body, h1, h2, p, ul, li {
    margin: 0;
    padding: 0;
}


body {
    font-family: Arial, sans-serif;
    background-color: #f5f5f5;
    color: #333;
}

header {
    background: linear-gradient(rgba(76, 175, 80, 0.9), rgba(76, 175, 80, 0.7)), url('your-background-image.jpg');
    background-size: cover;
    background-position: center;
    color: #fff;
    padding: 20px;
    text-align: center;
    backdrop-filter: blur(5px);
}

nav ul {
    list-style-type: none;
}

nav ul li {
    display: inline;
    margin-right: 20px;
}

nav ul li a {
    color: #fff;
    text-decoration: none;
}

main {
    padding: 20px;
    text-align: center;
    background: linear-gradient(rgba(245, 245, 245, 0.8), rgba(245, 245, 245, 0.6)), url('your-background-image.jpg');
    background-size: cover;
    background-position: center;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
}

#current-weather {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 20px;
}

#search-form {
    margin-top: 20px;
}

#search-form label {
    font-weight: bold;
    margin-right: 10px;
}

#search-form input[type="text"] {
    padding: 8px;
    width: 200px;
    border-radius: 5px;
    border: 1px solid #ccc;
    margin-right: 10px;
}

#search-form button {
    padding: 8px 20px;
    background-color: #4CAF50;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

#p {
    color: red;
    font-size: 14px;
    margin: 10px 0;
}


#current-weather {
    animation: fadeInUp 1s ease;
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
